syslog.h File Reference
`#include "ptlib/udpsock.h"`

Go to the source code of this file.

## Classes

class | PSystemLog
| This class abstracts the operating system dependent error logging facility. More...
class | PSystemLogTarget
class | PSystemLogToNowhere
| Log system output to nowhere. More...
class | PSystemLogToStderr
| Log system output to stderr. More...
class | PSystemLogToFile
| Log system output to a file. More...
class | PSystemLogToNetwork
| Log system output to the network using RFC 3164 BSD syslog protocol. More...
class | PSystemLogToSyslog
| Log system output to the Posix syslog() function. More...

## Macros

#define | PSYSTEMLOG(level, variables)
| Log a message to the system log. More...

## Macro Definition Documentation

#define PSYSTEMLOG | ( |  | level,
|  |  | variables
| ) |  |

Value:
if (PSystemLog::GetTarget().GetThresholdLevel() >= PSystemLog::level) { \
PSystemLog P_systemlog(PSystemLog::level); \
P_systemlog << variables; \
} else (void)0
PSystemLog::GetTarget
static PSystemLogTarget & GetTarget()
Get the current target/destination for system logging.

Log a message to the system log.

The current log level is checked and if allowed, the second argument is evaluated as a stream output sequence which is them output to the system log.